import { ComponentCacheItem, RouteCacheItem } from '../types';
/**
 * Encode the data of the route cache in a string.
 */
export declare function encodeRouteCacheItem(data: string, headers: Record<string, any>, statusCode: number, expires: number | undefined, cacheTags: string[]): string;
/**
 * Decode the encoded route cache string item.
 */
export declare function decodeRouteCacheItem(cacheItem: string): RouteCacheItem | undefined;
/**
 * Encode the component cache data.
 */
export declare function encodeComponentCacheItem(data: string, payload?: Record<string, any>, expires?: number | undefined, cacheTags?: string[]): string;
/**
 * Decode the encoded component cache string item.
 */
export declare function decodeComponentCacheItem(cacheItem: string): ComponentCacheItem | undefined;
